# SNESGetLinearSolveFailures

Gets the number of failed (non-converged) linear solvers.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESGetLinearSolveFailures(SNES snes,PetscInt* nfails)

Not Collective

### Input Parameter

snes -SNES context

### Output Parameter

nfails -number of failed solves

### Notes

This counter is reset to zero for each successive call to SNESSolve().

### Keywords

SNES, nonlinear, get, number, unsuccessful, steps

Level:intermediate
Location: src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages